> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/users-and-accounts/account-profile.md).

# Account Profile

## GET /api/Public/AccountProfile/profile

> Account profile

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"AccountProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.AccountProfileResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.AccountProfileResponseDto"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.AccountProfileResponseDto":{"type":"object","properties":{"subscriberId":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"emailId":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"locality":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"pinCode":{"type":"string","nullable":true},"mobileNumber":{"type":"string","nullable":true},"department":{"type":"string","nullable":true},"designation":{"type":"string","nullable":true},"organization":{"type":"string","nullable":true},"signatureType":{"type":"string","nullable":true},"kyCdata":{"type":"string","nullable":true},"isAdmin":{"type":"boolean"},"commonName":{"type":"string","nullable":true},"serialNumber":{"type":"string","nullable":true},"issuerCommonName":{"type":"string","nullable":true},"validfrom":{"type":"string","nullable":true},"validto":{"type":"string","nullable":true},"adhocSignatureType":{"type":"string","nullable":true},"hsmCount":{"type":"integer","format":"int32"},"planName":{"type":"string","nullable":true},"subscribedOn":{"type":"string","format":"date-time","nullable":true},"noOfUsers":{"type":"integer","format":"int32","nullable":true},"expiresOn":{"type":"string","format":"date-time","nullable":true},"parentId":{"type":"integer","format":"int32","nullable":true},"userType":{"type":"integer","format":"int32","nullable":true},"signatureOption":{"type":"integer","format":"int32","nullable":true},"loginType":{"type":"string","nullable":true},"permissionId":{"type":"string","nullable":true},"timeZoneId":{"type":"integer","format":"int32","nullable":true},"parentName":{"type":"string","nullable":true},"parentEmail":{"type":"string","nullable":true},"location":{"type":"string","nullable":true},"esignaturePin":{"type":"string","nullable":true},"isEsignPinSet":{"type":"boolean"},"isPeruriSignEnabled":{"type":"boolean"},"isCreateEnvelope":{"type":"boolean"},"companyStamp":{"type":"string","nullable":true},"profileImage":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"akvCertificateCount":{"type":"integer","format":"int32"},"initialsImage":{"type":"string","nullable":true},"planId":{"type":"integer","format":"int32","nullable":true},"geofencingProfile":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.GeofencingProfileDto"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.GeofencingProfileDto":{"type":"object","properties":{"profileId":{"type":"integer","format":"int64"},"profileName":{"type":"string","nullable":true},"radius":{"type":"number","format":"double","nullable":true},"latitude":{"type":"number","format":"double","nullable":true},"longitude":{"type":"number","format":"double","nullable":true},"isMandatory":{"type":"boolean","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/AccountProfile/profile":{"get":{"tags":["AccountProfile"],"parameters":[{"name":"menuId","in":"query","schema":{"type":"integer","format":"int32","default":1}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.AccountProfileResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.AccountProfileResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.AccountProfileResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.AccountProfileResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.AccountProfileResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Account profile","operationId":"get_AccountProfile_profile"}}}}
```

## GET /api/Public/AccountProfile/company-profile

> Company profile

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"AccountProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.CompanyProfileDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.CompanyProfileDto"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.CompanyProfileDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"companyName":{"type":"string","nullable":true},"taxid":{"type":"string","nullable":true},"dateofIncorporation":{"type":"string","format":"date-time","nullable":true},"createdBy":{"type":"integer","format":"int64","nullable":true},"modifiedBy":{"type":"integer","format":"int64","nullable":true},"createdDate":{"type":"string","format":"date-time","nullable":true},"modifiedDate":{"type":"string","format":"date-time","nullable":true},"parentID":{"type":"integer","format":"int32","nullable":true},"legalConstituation":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/AccountProfile/company-profile":{"get":{"tags":["AccountProfile"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.CompanyProfileDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.CompanyProfileDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.CompanyProfileDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Company profile","operationId":"get_AccountProfile_company_profile"}}}}
```

## POST /api/Public/AccountProfile/UpdateProfile

> Update profile

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"AccountProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.UpdateProfileRequestDto":{"required":["name"],"type":"object","properties":{"name":{"maxLength":100,"minLength":0,"type":"string"},"designation":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"department":{"maxLength":100,"minLength":0,"type":"string","nullable":true},"organization":{"maxLength":100,"minLength":0,"type":"string","nullable":true},"address":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"city":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"state":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"country":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"zipCode":{"maxLength":20,"minLength":0,"type":"string","nullable":true},"mobileNumber":{"maxLength":20,"minLength":0,"pattern":"^\\+?[\\d\\s\\-\\(\\)]+$","type":"string","nullable":true},"countryCode":{"maxLength":5,"minLength":0,"pattern":"^\\+?\\d{1,4}$","type":"string","nullable":true},"alternativeEmailId":{"maxLength":100,"minLength":0,"type":"string","format":"email","nullable":true},"nationalId":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"timeZoneId":{"type":"string","nullable":true},"departmentId":{"type":"integer","format":"int32","nullable":true},"deviceInfo":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"osAndBrowser":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/Public/AccountProfile/UpdateProfile":{"post":{"tags":["AccountProfile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.UpdateProfileRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Boolean, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"Update profile","operationId":"post_AccountProfile_UpdateProfile"}}}}
```
